// Define import / export attributes if needed (= if DLL is used)
#if defined _WIN32 || defined __CYGWIN__
  #define MW_ATTR_DLL_IMPORT __declspec(dllimport)
  #define MW_ATTR_DLL_EXPORT __declspec(dllexport)
  #define MW_ATTR_DLL_LOCAL
#else
  #if __GNUC__ >= 4
    #define MW_ATTR_DLL_IMPORT __attribute__ ((visibility ("default")))
    #define MW_ATTR_DLL_EXPORT __attribute__ ((visibility ("default")))
    #define MW_ATTR_DLL_LOCAL  __attribute__ ((visibility ("hidden")))
  #else
    #define MW_ATTR_DLL_IMPORT
    #define MW_ATTR_DLL_EXPORT
    #define MW_ATTR_DLL_LOCAL
  #endif
#endif

// Define ITF/HDR for external/internal use
#ifdef MW_DLL // Compiled as a DLL
  #ifdef MW_DLL_EXPORTS // Defined if we are building the DLL (instead of using it)
    #define MW_ITF MW_ATTR_DLL_EXPORT
  #else
    #define MW_ITF MW_ATTR_DLL_IMPORT
  #endif
  #define MW_HDR MW_ATTR_DLL_LOCAL
#else // Compiled as a static lib
  #define MW_ITF
  #define MW_HDR
#endif
