#ifndef __myWriter__
#define __myWriter__

#include "mw.h" // export symbol

#include "vtkAlgorithm.h"

class vtkObject;

/*
 * myWriter
 */
class MW_ITF myWriter : public vtkAlgorithm
{
    /*
     * VTK machinery :
     *   - derive from vtkAlgorithm (that derives from vtkObject)
     *   - declare New () : implement it with vtkStandardNewMacro
     *   - constructor      and destructor declared as protected
     *   - copy constructor and operator=  declared as private
     */

  public:

    static myWriter * New (); // Implemented in cpp with vtkStandardNewMacro
    vtkTypeMacro ( myWriter, vtkAlgorithm );

  protected:

    myWriter ();
    virtual ~myWriter ();

  private:

    myWriter ( myWriter const & iObj );
    myWriter & operator= ( myWriter const & iObj );

    /*
     * ParaView plugin : matching C++ methods with xml declarations
     */

  protected:

    virtual void SetInputData ( vtkObject const * ipObj ) {}; // Matching <InputProperty name="Input" command="SetInputData">           in xml
    virtual void SetFileName ( char const * ipName ) {};      // Matching <StringVectorProperty name="FileName" command="SetFileName"/> in xml
};

#endif
